Package org.eclipse.rdf4j.query.algebra.evaluation.function.rdfterm

## Class UUID

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.function.rdfterm.UUID

- All Implemented Interfaces:
    `Function`

      public class UUID
      extends Object
      implements Function

  The SPARQL built-in `Function` UUID, as defined in SPARQL Query Language for RDF
  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UUID()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IRI` | `evaluate​(ValueFactory valueFactory, Value... args)` | Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
    `String` | `getURI()` |
    `boolean` | `mustReturnDifferentResult()` | UUID() and STRUUID() must return a different result for each invocation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate`

- - ### Constructor Detail

    - #### UUID

          public UUID()

  - ### Method Detail

    - #### getURI

          public String getURI()

      Specified by:
        `getURI` in interface `Function`

    - #### evaluate

          public IRI evaluate​(ValueFactory valueFactory,
                              Value... args)
                       throws ValueExprEvaluationException

      Description copied from interface: `Function`
      Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `valueFactory` - a `ValueFactory` to use for producing the function result.
        `args` - the function input arguments.
      Returns:
        the function result value.
      Throws:
        `ValueExprEvaluationException`

    - #### mustReturnDifferentResult

          public boolean mustReturnDifferentResult()

      Description copied from interface: `Function`
      UUID() and STRUUID() must return a different result for each invocation.
      Specified by:
        `mustReturnDifferentResult` in interface `Function`
      Returns:
        if each invocation must return a different result.